Bug 212066 - Anaconda tries to format my iPod
Anaconda tries to format my iPod
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-24 16:16 EDT by Bastien Nocera
Modified: 2009-03-24 09:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 09:18:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ipod.img (900.00 KB, application/octet-stream)
2007-09-08 08:32 EDT, Bastien Nocera
no flags Details
patch to check for ipod partitions. (581 bytes, patch)
2008-04-11 08:33 EDT, Joel Andres Granados
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-10-24 16:16:35 EDT
I'm trying to do an installation of FC6 using a CD for the boot.iso, and having
the DVD iso on my iPod

First, usb-storage isn't loaded if I don't have the iPod plugged in. It should
be loaded automatically.

Finally, it tells me that I don't have a partition on sda (the iPod). It should
recognise the iPod's partition table, and not try to erase it.
Comment 1 Jeremy Katz 2006-10-25 11:15:09 EDT
We only load drivers for devices that seem to be there -- thus, if there's no
usb-storage plugged in, we don't load it.

What does the output of print from parted on the ipod show?
Comment 2 Bastien Nocera 2006-10-26 05:09:31 EDT
(In reply to comment #1)
> We only load drivers for devices that seem to be there -- thus, if there's no
> usb-storage plugged in, we don't load it.

But it's not possible to load the driver afterwards, and I needed to reboot to
get the iPod recognised.

> What does the output of print from parted on the ipod show?

# parted /dev/sdb
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print                                                            
Error: Unable to open /dev/sdb - unrecognised disk label.                 

# fdisk -l /dev/sdb

Disk /dev/sdb: 30.0 GB, 30005821440 bytes
255 heads, 63 sectors/track, 3648 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1               1          10       80293+   0  Empty
/dev/sdb2              11        3648    29222235    b  W95 FAT32

Smells like a bug in parted.
Comment 3 Chris Lumens 2007-02-23 12:35:27 EST
Reassigning to parted on the basis of comment #2.  Looks like if parted
recognizes this partition table, we at least won't offer to reformat it.  We may
still offer it as a device to install to, though.
Comment 4 David Cantrell 2007-03-02 11:05:23 EST
What kind of disk label is on the iPod?  Is it DOS or Mac?  The first partition
is probably throwing off parted's label detection code because of the id 0
partition that's listed first.

I don't have an iPod, so I'm not sure how I can recreate this problem.  Can you
give me a dd image of the entire contents of /dev/sdb (your iPod)?  That would
be most helpful.

Thanks.
Comment 5 Bastien Nocera 2007-09-08 08:22:41 EDT
(In reply to comment #4)
> What kind of disk label is on the iPod?  Is it DOS or Mac?  The first partition
> is probably throwing off parted's label detection code because of the id 0
> partition that's listed first.

That's the partition used to install new firmwares (dd the firmware to it,
unplug and restart the iPod).

> I don't have an iPod, so I'm not sure how I can recreate this problem.  Can you
> give me a dd image of the entire contents of /dev/sdb (your iPod)?  That would
> be most helpful.

It's a 30 GB iPod, so I'm not sure that would be the best. I'll get a dd of the
first partition and first bits of the second one instead.
Comment 6 Bastien Nocera 2007-09-08 08:32:39 EDT
Created attachment 190751 [details]
ipod.img

I could reproduce the problem with parted with this disk image. I admit I
didn't test with a more recent version of Fedora.
Comment 7 Bug Zapper 2008-04-04 00:05:03 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bastien Nocera 2008-04-09 10:51:54 EDT
Still a problem in F8.
Comment 9 Bastien Nocera 2008-04-09 10:54:11 EDT
Doesn't work on rawhide either.
Comment 10 Joel Andres Granados 2008-04-11 08:33:28 EDT
Created attachment 302109 [details]
patch to check for ipod partitions.

Tested with parted on git and it doesn't work on that either :)  There is a
patch on the mailing list (somewhere), that was also discussed with Eren on the
#parted channel.  It seems to work for the detection of the ipod partition (or
at least in my test and on Erens test as well)
Comment 11 Bug Zapper 2008-05-13 22:25:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Joel Andres Granados 2008-11-05 12:58:48 EST
Bastien:

Where you able to test this patch?
Comment 13 Joel Andres Granados 2009-01-21 11:00:37 EST
Can't really use this in fedora devel as the code there is from parted 1.8.8 (latest upstream release), not master.  discussion is ongoing in upstream, not a lot of attention though.
Comment 14 Bastien Nocera 2009-03-24 09:18:41 EDT
Seems to work as expected now.

$ sudo parted /dev/sdc
(parted) print                                                            
Model: Apple iPod (scsi)
Disk /dev/sdc: 30.0GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type     File system  Flags
 2      82.3MB  30.0GB  29.9GB  primary  fat32

Note You need to log in before you can comment on or make changes to this bug.